"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
require("bootstrap/dist/css/bootstrap.min.css");
require("./dashboard.css");
var navbar_1 = __importDefault(require("../navbar/navbar"));
var react_hooks_1 = require("@apollo/react-hooks");
var apollo_boost_1 = __importDefault(require("apollo-boost"));
var fields_container_1 = __importDefault(require("../fields-container/fields-container"));
var react_bootstrap_1 = require("react-bootstrap");
var service_info_1 = __importDefault(require("../service-info/service-info"));
var DashBoard = function (props) {
    var endpoint = props.endpoint;
    var client = new apollo_boost_1.default({
        uri: endpoint,
    });
    return (react_1.default.createElement(react_hooks_1.ApolloProvider, { client: client },
        react_1.default.createElement("div", { className: "Dash" },
            react_1.default.createElement(navbar_1.default, null),
            react_1.default.createElement("header", { className: "App-header" },
                react_1.default.createElement(react_bootstrap_1.Tabs, { defaultActiveKey: "usage", id: "uncontrolled-tab-example", className: "Dashboard-Tabs" },
                    react_1.default.createElement(react_bootstrap_1.Tab, { eventKey: "usage", title: "Fields Usage" },
                        react_1.default.createElement(fields_container_1.default, null)),
                    react_1.default.createElement(react_bootstrap_1.Tab, { eventKey: "service", title: "Service Info" },
                        react_1.default.createElement(service_info_1.default, null)),
                    react_1.default.createElement(react_bootstrap_1.Tab, { eventKey: "contact", title: "Contact" }, "blabla"))))));
};
exports.default = DashBoard;
